Name:               pag
Version:            0.8
Release:            1%{?dist}
Summary:            Commandline interaction with pagure.io

License:            GPLv3+
URL:                https://pagure.io/pag
Source0:            https://pypi.io/packages/source/p/pag/pag-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-click
BuildRequires:      python3-PyYAML
BuildRequires:      python3-beautifulsoup4
BuildRequires:      python3-requests
BuildRequires:      python3-fedora

Requires:           python3-click
Requires:           python3-PyYAML
Requires:           python3-beautifulsoup4
Requires:           python3-requests
Requires:           python3-fedora
Requires:           git-core

%description
pag is a command line tool for interacting with the git repository hosting
service https://pagure.io.  It provides support for cloning projects and
opening new ones.

It is under active development and will be gaining new features over time.

%prep
%autosetup -n pag-%{version}

%build
%py3_build

%install
%py3_install

# For rpmlint
find %{buildroot}/%{python3_sitelib}/pag -name "*.py" -exec chmod -x {} \;

# This is a duplicate command
rm -f %{buildroot}/%{_bindir}/pagcli

# And, we're on python3, thank you setuptools.
sed -i 's|/usr/bin/python$|/usr/bin/python3|' %{buildroot}/%{_bindir}/pag

%files
%doc README.rst
%license LICENSE
%{python3_sitelib}/pag/
%{python3_sitelib}/pag-%{version}*
%{_bindir}/pag

%changelog
* Sat Apr 28 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0.8-1
- New upstream release 0.8

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 18 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.7-1
- New upstream release 0.7

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6-4
- Rebuild for Python 3.6

* Thu Aug  4 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.6-3
- Add dependency on git-core

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Jun 04 2016 Ralph Bean <rbean@redhat.com> - 0.6-1
- new version

* Mon Apr 25 2016 Ralph Bean <rbean@redhat.com> - 0.5-1
- new version

* Mon Apr 11 2016 Ralph Bean <rbean@redhat.com> - 0.4-1
- Latest upstream resolves license ambiguity.
- Fix license field in the spec file to match upstream.
- Elongate description.

* Fri Apr 08 2016 Ralph Bean <rbean@redhat.com> - 0.3-1
- Initial packaging for Fedora
